### Method

# FwupdPlugin Device ensure_from_component

#### Declaration [src]

    void
    fu_device_ensure_from_component (
      FuDevice* self,
      XbNode* component
    )

#### Description [src]

Ensure all properties from the donor AppStream component as required.

Available since: | 1.8.13
This method is not directly available to language bindings.

#### Parameters

`component` | `XbNode`
| A `XbNode`.
| The data is owned by the caller of the function.